### Method

# Gio Settings set_int64

since: 2.50

#### Declaration

    gboolean
    g_settings_set_int64 (
      GSettings* settings,
      const gchar* key,
      gint64 value
    )

#### Description

Sets `key` in `settings` to `value`.

A convenience variant of `g_settings_set()` for 64-bit integers.

It is a programmer error to give a `key` that isn’t specified as having a int64 type in the schema for `settings`.

Available since: 2.50

#### Parameters

`key`

  Type: `const gchar*`

  The name of the key to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `gint64`

  The value to set it to.

#### Return value

Type: `gboolean`

`TRUE` if setting the key succeeded, `FALSE` if the key was not writable.